<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="file">
    <name>cryptplug.h</name>
    <path>tdepim/certmanager/lib/</path>
    <filename>cryptplug_8h</filename>
    <class kind="struct">CryptPlug::StructuringInfo</class>
  </compound>
  <compound kind="file">
    <name>cryptplugwrapper.cpp</name>
    <path>tdepim/certmanager/lib/</path>
    <filename>cryptplugwrapper_8cpp</filename>
    <includes id="cryptplugwrapper_8h" name="cryptplugwrapper.h" local="yes" imported="no">cryptplugwrapper.h</includes>
    <includes id="cryptplug_8h" name="cryptplug.h" local="yes" imported="no">cryptplug.h</includes>
  </compound>
  <compound kind="file">
    <name>cryptplugwrapper.h</name>
    <path>tdepim/certmanager/lib/</path>
    <filename>cryptplugwrapper_8h</filename>
    <includes id="cryptplug_8h" name="cryptplug.h" local="yes" imported="no">cryptplug.h</includes>
    <class kind="class">StructuringInfoWrapper</class>
    <class kind="class">CryptPlugWrapper</class>
  </compound>
  <compound kind="group">
    <name>groupGeneral</name>
    <title>Loading and Unloading the Plugin, General Functionality</title>
    <filename>group__groupGeneral.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>IniStatus</name>
      <anchorfile>group__groupGeneral.html</anchorfile>
      <anchor>ga77d0a136500452db1736a4de65fe85f1</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>initialize</name>
      <anchorfile>group__groupGeneral.html</anchorfile>
      <anchor>gad97db658ec2e1fd353761168068e5e44</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasFeature</name>
      <anchorfile>group__groupGeneral.html</anchorfile>
      <anchor>ga63b1734dbf5619bd33085f18c3f45aaf</anchor>
      <arglist>(::Feature)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>deinitialize</name>
      <anchorfile>group__groupGeneral.html</anchorfile>
      <anchor>ga97a7efa4165b8d9aa18d5336982202cc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>IniStatus</type>
      <name>iniStatus</name>
      <anchorfile>group__groupGeneral.html</anchorfile>
      <anchor>ga93952d6778a53d28d19d27a5fc332d75</anchor>
      <arglist>(TQString *errorMsg) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasFeature</name>
      <anchorfile>group__groupGeneral.html</anchorfile>
      <anchor>gaab6d391811299926285f2a422a6a4dc5</anchor>
      <arglist>(::Feature)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>groupDisplay</name>
    <title>Graphical Display Functionality</title>
    <filename>group__groupDisplay.html</filename>
  </compound>
  <compound kind="group">
    <name>groupConfig</name>
    <title>Configuration Support</title>
    <filename>group__groupConfig.html</filename>
    <subgroup>groupConfigSign</subgroup>
    <subgroup>groupConfigCrypt</subgroup>
    <subgroup>groupConfigDir</subgroup>
  </compound>
  <compound kind="group">
    <name>groupConfigSign</name>
    <title>Signature Configuration</title>
    <filename>group__groupConfigSign.html</filename>
  </compound>
  <compound kind="group">
    <name>groupConfigCrypt</name>
    <title>Encryption Configuration</title>
    <filename>group__groupConfigCrypt.html</filename>
  </compound>
  <compound kind="group">
    <name>groupConfigDir</name>
    <title>Directory Service Configuration</title>
    <filename>group__groupConfigDir.html</filename>
  </compound>
  <compound kind="group">
    <name>groupCertHand</name>
    <title>Certificate Handling</title>
    <filename>group__groupCertHand.html</filename>
  </compound>
  <compound kind="group">
    <name>groupSignCryptAct</name>
    <title>Signing and Encrypting Actions</title>
    <filename>group__groupSignCryptAct.html</filename>
    <subgroup>groupSignAct</subgroup>
    <subgroup>groupCryptAct</subgroup>
    <class kind="struct">CryptPlug::StructuringInfo</class>
    <class kind="class">StructuringInfoWrapper</class>
    <member kind="function">
      <type>void</type>
      <name>free_StructuringInfo</name>
      <anchorfile>group__groupSignCryptAct.html</anchorfile>
      <anchor>ga738e879ec84dbc0c2940c200dfec15df</anchor>
      <arglist>(struct StructuringInfo *s)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>groupSignAct</name>
    <title>Signature Actions</title>
    <filename>group__groupSignAct.html</filename>
    <member kind="function">
      <type>bool</type>
      <name>checkMessageSignature</name>
      <anchorfile>group__groupSignAct.html</anchorfile>
      <anchor>ga169833df078cfb362a597cd435cc399d</anchor>
      <arglist>(char **cleartext, const char *signaturetext, bool signatureIsBinary, int signatureLen, struct SignatureMetaData *sigmeta, char **attrOrder, const char *unknownAttrsHandling)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>checkMessageSignature</name>
      <anchorfile>group__groupSignAct.html</anchorfile>
      <anchor>gab57b4e2ebb5d4eed99d46fa69d76d7b9</anchor>
      <arglist>(char **cleartext, const char *signaturetext, bool signatureIsBinary, int signatureLen, CryptPlug::SignatureMetaData *sigmeta)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>groupCryptAct</name>
    <title>Encryption and Decryption</title>
    <filename>group__groupCryptAct.html</filename>
    <member kind="function">
      <type>bool</type>
      <name>decryptMessage</name>
      <anchorfile>group__groupCryptAct.html</anchorfile>
      <anchor>ga470538d2b9834737ab7d1923f93d3fc2</anchor>
      <arglist>(const char *ciphertext, bool cipherIsBinary, int cipherLen, const char **cleartext, const char *certificate, int *errId, char **errTxt)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>decryptAndCheckMessage</name>
      <anchorfile>group__groupCryptAct.html</anchorfile>
      <anchor>gafbd6f0cd6ad101b375451fab608aadb8</anchor>
      <arglist>(const char *ciphertext, bool cipherIsBinary, int cipherLen, const char **cleartext, const char *certificate, bool *signatureFound, struct SignatureMetaData *sigmeta, int *errId, char **errTxt, char **attrOrder, const char *unknownAttrsHandling)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>decryptMessage</name>
      <anchorfile>group__groupCryptAct.html</anchorfile>
      <anchor>ga2350cb6e5fb2fdcd078f983a65e3394c</anchor>
      <arglist>(const char *ciphertext, bool cipherIsBinary, int cipherLen, char **cleartext, const char *certificate, int *errId, char **errTxt)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>decryptAndCheckMessage</name>
      <anchorfile>group__groupCryptAct.html</anchorfile>
      <anchor>gab5a67054245388a7339787fbde49e051</anchor>
      <arglist>(const char *ciphertext, bool cipherIsBinary, int cipherLen, char **cleartext, const char *certificate, bool *signatureFound, CryptPlug::SignatureMetaData *sigmeta, int *errId, char **errTxt)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>groupCertAct</name>
    <title>Certificate Handling Actions</title>
    <filename>group__groupCertAct.html</filename>
  </compound>
  <compound kind="group">
    <name>groupCRLAct</name>
    <title>CRL Handling Actions</title>
    <filename>group__groupCRLAct.html</filename>
  </compound>
  <compound kind="group">
    <name>groupAdUsoInterno</name>
    <title>Important functions to be used by plugin implementors ONLY.</title>
    <filename>group__groupAdUsoInterno.html</filename>
    <member kind="function">
      <type>void</type>
      <name>init_StructuringInfo</name>
      <anchorfile>group__groupAdUsoInterno.html</anchorfile>
      <anchor>ga10221c36b51ef064c7f0d8fbd6c012a2</anchor>
      <arglist>(struct StructuringInfo *s)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>certList</name>
    <title>Certificate Info listing functions</title>
    <filename>group__certList.html</filename>
  </compound>
  <compound kind="group">
    <name>groupAdmin</name>
    <title>Constructor, destructor and setting of &apos;active&apos; flag</title>
    <filename>group__groupAdmin.html</filename>
    <member kind="function">
      <type></type>
      <name>CryptPlugWrapper</name>
      <anchorfile>group__groupAdmin.html</anchorfile>
      <anchor>ga6d0f42801c6feff5b7296668ae961c02</anchor>
      <arglist>(const TQString &amp;name=TQString(), const TQString &amp;libName=TQString(), const TQString &amp;update=TQString(), bool active=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~CryptPlugWrapper</name>
      <anchorfile>group__groupAdmin.html</anchorfile>
      <anchor>ga23165d08d625a4d94b542c7f505987d4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setActive</name>
      <anchorfile>group__groupAdmin.html</anchorfile>
      <anchor>ga61e6668e7fc7255ce48c8870e1b65e28</anchor>
      <arglist>(bool active)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>active</name>
      <anchorfile>group__groupAdmin.html</anchorfile>
      <anchor>gae28caae43106908b3f221e42a830885c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setLibName</name>
      <anchorfile>group__groupAdmin.html</anchorfile>
      <anchor>ga4c14a979bbafd4b868277d2972afd475</anchor>
      <arglist>(const TQString &amp;libName)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>libName</name>
      <anchorfile>group__groupAdmin.html</anchorfile>
      <anchor>gaf91c48881a84674b532bc168ca39f8dc</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDisplayName</name>
      <anchorfile>group__groupAdmin.html</anchorfile>
      <anchor>gaf4a39b50575448200b7728c4bc654b9e</anchor>
      <arglist>(const TQString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>displayName</name>
      <anchorfile>group__groupAdmin.html</anchorfile>
      <anchor>ga11943c6569ecb62cbe7ed8df657641bf</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>CryptPlug::StructuringInfo</name>
    <filename>structCryptPlug_1_1StructuringInfo.html</filename>
    <member kind="variable">
      <type>bool</type>
      <name>includeCleartext</name>
      <anchorfile>structCryptPlug_1_1StructuringInfo.html</anchorfile>
      <anchor>a516640babac05a4123c3a0df77463eba</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>makeMimeObject</name>
      <anchorfile>structCryptPlug_1_1StructuringInfo.html</anchorfile>
      <anchor>a77bf4e9119b6ebe07504f3f7b21900d1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>makeMultiMime</name>
      <anchorfile>structCryptPlug_1_1StructuringInfo.html</anchorfile>
      <anchor>a6e4821025f82414d6a2ee95a5ee6633e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>contentTypeMain</name>
      <anchorfile>structCryptPlug_1_1StructuringInfo.html</anchorfile>
      <anchor>ab7f617ce8a8a342b79fd2e670e0cd17d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>contentDispMain</name>
      <anchorfile>structCryptPlug_1_1StructuringInfo.html</anchorfile>
      <anchor>ac2816d5e9e7f54961a1c1cb5f7c2b89e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>contentTEncMain</name>
      <anchorfile>structCryptPlug_1_1StructuringInfo.html</anchorfile>
      <anchor>adf57b827dbbd2e9352109d5aa4fdffb8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>contentTypeVersion</name>
      <anchorfile>structCryptPlug_1_1StructuringInfo.html</anchorfile>
      <anchor>a5b50187497c9b6c067c02520252f3d87</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>contentDispVersion</name>
      <anchorfile>structCryptPlug_1_1StructuringInfo.html</anchorfile>
      <anchor>ab6593120e4e98c0b3de1ed54449d8d6a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>contentTEncVersion</name>
      <anchorfile>structCryptPlug_1_1StructuringInfo.html</anchorfile>
      <anchor>ab6c30ed08b39f7d73e9617f74cca6a01</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>bodyTextVersion</name>
      <anchorfile>structCryptPlug_1_1StructuringInfo.html</anchorfile>
      <anchor>ac758908ad440ee3ca4c41f4a91c545c1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>contentTypeCode</name>
      <anchorfile>structCryptPlug_1_1StructuringInfo.html</anchorfile>
      <anchor>a19383f0d56ba80e97ebc8ae0bb26646f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>contentDispCode</name>
      <anchorfile>structCryptPlug_1_1StructuringInfo.html</anchorfile>
      <anchor>a8cdd6d384795b637ebe9c57cac41628e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>contentTEncCode</name>
      <anchorfile>structCryptPlug_1_1StructuringInfo.html</anchorfile>
      <anchor>a2eaeeb27138dc01163ec7ce6379b636e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>flatTextPrefix</name>
      <anchorfile>structCryptPlug_1_1StructuringInfo.html</anchorfile>
      <anchor>a692ee2f77cfe4abeceef0de2044e663b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>flatTextSeparator</name>
      <anchorfile>structCryptPlug_1_1StructuringInfo.html</anchorfile>
      <anchor>af4ab5e80dd66846219990dbab23d3c05</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>flatTextPostfix</name>
      <anchorfile>structCryptPlug_1_1StructuringInfo.html</anchorfile>
      <anchor>ad6b20f5634b83c9ba35cc62aa2103d45</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CryptPlugWrapper</name>
    <filename>classCryptPlugWrapper.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>IniStatus</name>
      <anchorfile>group__groupGeneral.html</anchorfile>
      <anchor>ga77d0a136500452db1736a4de65fe85f1</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CryptPlugWrapper</name>
      <anchorfile>group__groupAdmin.html</anchorfile>
      <anchor>ga6d0f42801c6feff5b7296668ae961c02</anchor>
      <arglist>(const TQString &amp;name=TQString(), const TQString &amp;libName=TQString(), const TQString &amp;update=TQString(), bool active=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~CryptPlugWrapper</name>
      <anchorfile>group__groupAdmin.html</anchorfile>
      <anchor>ga23165d08d625a4d94b542c7f505987d4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setActive</name>
      <anchorfile>group__groupAdmin.html</anchorfile>
      <anchor>ga61e6668e7fc7255ce48c8870e1b65e28</anchor>
      <arglist>(bool active)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>active</name>
      <anchorfile>group__groupAdmin.html</anchorfile>
      <anchor>gae28caae43106908b3f221e42a830885c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setLibName</name>
      <anchorfile>group__groupAdmin.html</anchorfile>
      <anchor>ga4c14a979bbafd4b868277d2972afd475</anchor>
      <arglist>(const TQString &amp;libName)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>libName</name>
      <anchorfile>group__groupAdmin.html</anchorfile>
      <anchor>gaf91c48881a84674b532bc168ca39f8dc</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDisplayName</name>
      <anchorfile>group__groupAdmin.html</anchorfile>
      <anchor>gaf4a39b50575448200b7728c4bc654b9e</anchor>
      <arglist>(const TQString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>displayName</name>
      <anchorfile>group__groupAdmin.html</anchorfile>
      <anchor>ga11943c6569ecb62cbe7ed8df657641bf</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>deinitialize</name>
      <anchorfile>group__groupGeneral.html</anchorfile>
      <anchor>ga97a7efa4165b8d9aa18d5336982202cc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>IniStatus</type>
      <name>iniStatus</name>
      <anchorfile>group__groupGeneral.html</anchorfile>
      <anchor>ga93952d6778a53d28d19d27a5fc332d75</anchor>
      <arglist>(TQString *errorMsg) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasFeature</name>
      <anchorfile>group__groupGeneral.html</anchorfile>
      <anchor>gaab6d391811299926285f2a422a6a4dc5</anchor>
      <arglist>(::Feature)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>checkMessageSignature</name>
      <anchorfile>group__groupSignAct.html</anchorfile>
      <anchor>gab57b4e2ebb5d4eed99d46fa69d76d7b9</anchor>
      <arglist>(char **cleartext, const char *signaturetext, bool signatureIsBinary, int signatureLen, CryptPlug::SignatureMetaData *sigmeta)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>decryptMessage</name>
      <anchorfile>group__groupCryptAct.html</anchorfile>
      <anchor>ga2350cb6e5fb2fdcd078f983a65e3394c</anchor>
      <arglist>(const char *ciphertext, bool cipherIsBinary, int cipherLen, char **cleartext, const char *certificate, int *errId, char **errTxt)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>decryptAndCheckMessage</name>
      <anchorfile>group__groupCryptAct.html</anchorfile>
      <anchor>gab5a67054245388a7339787fbde49e051</anchor>
      <arglist>(const char *ciphertext, bool cipherIsBinary, int cipherLen, char **cleartext, const char *certificate, bool *signatureFound, CryptPlug::SignatureMetaData *sigmeta, int *errId, char **errTxt)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>QGpgMECryptoConfig</name>
    <filename>classQGpgMECryptoConfig.html</filename>
    <base>Kleo::CryptoConfig</base>
    <member kind="function">
      <type></type>
      <name>QGpgMECryptoConfig</name>
      <anchorfile>classQGpgMECryptoConfig.html</anchorfile>
      <anchor>ab8dd0088a35ace22798d7dc353b9d0f8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQStringList</type>
      <name>componentList</name>
      <anchorfile>classQGpgMECryptoConfig.html</anchorfile>
      <anchor>abf263b0ed2f311510d37f295baa0da14</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Kleo::CryptoConfigComponent *</type>
      <name>component</name>
      <anchorfile>classQGpgMECryptoConfig.html</anchorfile>
      <anchor>ad53bc5febab326622f89007038841f81</anchor>
      <arglist>(const TQString &amp;name) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>clear</name>
      <anchorfile>classQGpgMECryptoConfig.html</anchorfile>
      <anchor>a960135de49f81a3465c6f5ec3efee008</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>sync</name>
      <anchorfile>classQGpgMECryptoConfig.html</anchorfile>
      <anchor>a4cfa78ad520b6a56e38519cb4656db4b</anchor>
      <arglist>(bool runtime)</arglist>
    </member>
    <member kind="function">
      <type>CryptoConfigEntry *</type>
      <name>entry</name>
      <anchorfile>classKleo_1_1CryptoConfig.html</anchorfile>
      <anchor>a7ad81f326f26fd1404a649ba90d9c442</anchor>
      <arglist>(const TQString &amp;componentName, const TQString &amp;groupName, const TQString &amp;entryName) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>QGpgMECryptoConfigComponent</name>
    <filename>classQGpgMECryptoConfigComponent.html</filename>
    <base>Kleo::CryptoConfigComponent</base>
    <member kind="function">
      <type>TQString</type>
      <name>name</name>
      <anchorfile>classQGpgMECryptoConfigComponent.html</anchorfile>
      <anchor>ab97a5e9cac37e2ffc8d61fab1720427a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>iconName</name>
      <anchorfile>classQGpgMECryptoConfigComponent.html</anchorfile>
      <anchor>a908d2041edee76926a3cb484fd8bca90</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>description</name>
      <anchorfile>classQGpgMECryptoConfigComponent.html</anchorfile>
      <anchor>a775bfeff5d02d700f8bd437623c873cf</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>groupList</name>
      <anchorfile>classQGpgMECryptoConfigComponent.html</anchorfile>
      <anchor>a9d74ff5fab72c634d18efa01f2d544ce</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Kleo::CryptoConfigGroup *</type>
      <name>group</name>
      <anchorfile>classQGpgMECryptoConfigComponent.html</anchorfile>
      <anchor>adc6704a9594732ea6e4ba84d04cdf4ab</anchor>
      <arglist>(const TQString &amp;name) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>StructuringInfoWrapper</name>
    <filename>classStructuringInfoWrapper.html</filename>
  </compound>
  <compound kind="class">
    <name>Kleo::ChiasmusJob</name>
    <filename>classKleo_1_1ChiasmusJob.html</filename>
    <base>Kleo::SpecialJob</base>
    <member kind="function">
      <type>GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1ChiasmusJob.html</anchorfile>
      <anchor>ad9bc514eb11e88e155689b90ae6a096f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>GpgME::Error</type>
      <name>exec</name>
      <anchorfile>classKleo_1_1ChiasmusJob.html</anchorfile>
      <anchor>a24cd2f38c5c825b6d25042ddaba1d902</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showErrorDialog</name>
      <anchorfile>classKleo_1_1ChiasmusJob.html</anchorfile>
      <anchor>abcc7d48657ef80f9cf37a805f2d87847</anchor>
      <arglist>(TQWidget *, const TQString &amp;) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::ChiasmusLibrary</name>
    <filename>classKleo_1_1ChiasmusLibrary.html</filename>
  </compound>
  <compound kind="class">
    <name>Kleo::CryptoConfig</name>
    <filename>classKleo_1_1CryptoConfig.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual TQStringList</type>
      <name>componentList</name>
      <anchorfile>classKleo_1_1CryptoConfig.html</anchorfile>
      <anchor>a803391dde19c40282276ac0a47445661</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CryptoConfigComponent *</type>
      <name>component</name>
      <anchorfile>classKleo_1_1CryptoConfig.html</anchorfile>
      <anchor>aa6fa96711c7333477172b8c946139c53</anchor>
      <arglist>(const TQString &amp;name) const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>sync</name>
      <anchorfile>classKleo_1_1CryptoConfig.html</anchorfile>
      <anchor>a040cce6c956152962f46e61e448f8285</anchor>
      <arglist>(bool runtime)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>clear</name>
      <anchorfile>classKleo_1_1CryptoConfig.html</anchorfile>
      <anchor>a24a026f53caf7d200c0be1e057043e80</anchor>
      <arglist>()=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::CryptoConfigComponent</name>
    <filename>classKleo_1_1CryptoConfigComponent.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>name</name>
      <anchorfile>classKleo_1_1CryptoConfigComponent.html</anchorfile>
      <anchor>a08e091053398ae3eb16feac91c84de23</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>iconName</name>
      <anchorfile>classKleo_1_1CryptoConfigComponent.html</anchorfile>
      <anchor>a44949a343b4ea32d5b3de098cc8ec946</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>description</name>
      <anchorfile>classKleo_1_1CryptoConfigComponent.html</anchorfile>
      <anchor>a79c203bc54df729275378eeb5e8eccfd</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQStringList</type>
      <name>groupList</name>
      <anchorfile>classKleo_1_1CryptoConfigComponent.html</anchorfile>
      <anchor>ad11fb34861d8fa58c8b17f15273e4f38</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CryptoConfigGroup *</type>
      <name>group</name>
      <anchorfile>classKleo_1_1CryptoConfigComponent.html</anchorfile>
      <anchor>aed7e04eeaec44b1f83f87294aa1715cd</anchor>
      <arglist>(const TQString &amp;name) const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::CryptoConfigDialog</name>
    <filename>classKleo_1_1CryptoConfigDialog.html</filename>
  </compound>
  <compound kind="class">
    <name>Kleo::CryptoConfigEntry</name>
    <filename>classKleo_1_1CryptoConfigEntry.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>Level</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a1cda9e79b26f328cb8ae7d2afd7f2d78</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <type></type>
      <name>ArgType</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a416f3f2049f77c30dd0102f3d3d4294a</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>name</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a3e6711d873de775dbc3ca4b5a4c5e4a4</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>description</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a6453a03b48cc586265b468266cef0c01</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isOptional</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a3bbd3846a2d725ce0d57ae37aadbc8d7</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isReadOnly</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>aef6aee513e04cec5d31ce2a9df18dea0</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isList</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a06504d2a9bf67f7d5dd25aae29b6a073</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isRuntime</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a99fcd7acfd8d43c2efac35a30cdf65fd</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual Level</type>
      <name>level</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a522de9ececad5ffc2f492852d68b59d4</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual ArgType</type>
      <name>argType</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a0b49ee48aa806b71ad1edeed7f721efa</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isSet</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>ae5412d33d10245580b7deaef759e95b3</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>boolValue</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a69af76b3803b9484ccfc0e7a4d7ca46e</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>stringValue</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a4241b0377197362214570bc6a1cc22e1</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>intValue</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a6c750f8c9f29927016bf45b9314318ba</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual unsigned int</type>
      <name>uintValue</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a4a6ae9bcf79a342d5bad97b98dbf4859</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual KURL</type>
      <name>urlValue</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a805fb40e60dd147e7d93ae33c0e9500b</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual unsigned int</type>
      <name>numberOfTimesSet</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a9860f99c0b577926477b2006b4dd506e</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQStringList</type>
      <name>stringValueList</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a1391a70fe99e3fea4d5c6bf20dccdc85</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQValueList&lt; int &gt;</type>
      <name>intValueList</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a123be89303d960005adab37d6f2a1e4b</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQValueList&lt; unsigned int &gt;</type>
      <name>uintValueList</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a8eaa8bd83cd6653fecc785eccde3051b</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual KURL::List</type>
      <name>urlValueList</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a3cfd7305cd689493ff270d6d84d5df07</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>resetToDefault</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>ada9fa51d2550fe5c34ab4e19b89de53a</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setBoolValue</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a052f5387338800c15a92d1be2cdf9ff3</anchor>
      <arglist>(bool)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setStringValue</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>ab6c5ebbf8cd75864a33c02451c068bed</anchor>
      <arglist>(const TQString &amp;)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setIntValue</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>ae75465478ea6e7de9513033a70ff0ded</anchor>
      <arglist>(int)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setUIntValue</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a4a6c3e1f1e64be0c0b1eca634960757d</anchor>
      <arglist>(unsigned int)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setURLValue</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a4066004c9520c68d8859d9a395909358</anchor>
      <arglist>(const KURL &amp;)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setNumberOfTimesSet</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a15a8cdcc20a51b781cbfb3e72556d11c</anchor>
      <arglist>(unsigned int)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setStringValueList</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a24658314b467efab704d3dee761ea1b6</anchor>
      <arglist>(const TQStringList &amp;)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setIntValueList</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>ab96caa69979330cf8e4f778c1fa2ad11</anchor>
      <arglist>(const TQValueList&lt; int &gt; &amp;)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setUIntValueList</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a18c55d19e0ddf571b22d5bbe4155e4b5</anchor>
      <arglist>(const TQValueList&lt; unsigned int &gt; &amp;)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setURLValueList</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>ab257c64ceb45d5b6f861261e53e9359a</anchor>
      <arglist>(const KURL::List &amp;)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isDirty</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a2375881873f1c55223239ecf1e3e9ff3</anchor>
      <arglist>() const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::CryptoConfigGroup</name>
    <filename>classKleo_1_1CryptoConfigGroup.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>name</name>
      <anchorfile>classKleo_1_1CryptoConfigGroup.html</anchorfile>
      <anchor>aa11e07e0c4fa856e7411dbe084dd1d55</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>iconName</name>
      <anchorfile>classKleo_1_1CryptoConfigGroup.html</anchorfile>
      <anchor>a8b4b2de9e22793eac144adc510e6bce9</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>description</name>
      <anchorfile>classKleo_1_1CryptoConfigGroup.html</anchorfile>
      <anchor>a3b90cd42c449703ec930a6d5c80d4cd3</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CryptoConfigEntry::Level</type>
      <name>level</name>
      <anchorfile>classKleo_1_1CryptoConfigGroup.html</anchorfile>
      <anchor>a16bae68762e499e67d96b2f8c83d8be1</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQStringList</type>
      <name>entryList</name>
      <anchorfile>classKleo_1_1CryptoConfigGroup.html</anchorfile>
      <anchor>a5bf03433767ffac1e9ad2a51df67487d</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CryptoConfigEntry *</type>
      <name>entry</name>
      <anchorfile>classKleo_1_1CryptoConfigGroup.html</anchorfile>
      <anchor>a38441e1accff09d93831f3746bd7ce94</anchor>
      <arglist>(const TQString &amp;name) const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::CryptoConfigModule</name>
    <filename>classKleo_1_1CryptoConfigModule.html</filename>
  </compound>
  <compound kind="class">
    <name>Kleo::DecryptJob</name>
    <filename>classKleo_1_1DecryptJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1DecryptJob.html</anchorfile>
      <anchor>adc145ccca389272c5e9f1c76415087ee</anchor>
      <arglist>(const TQByteArray &amp;cipherText)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::DecryptVerifyJob</name>
    <filename>classKleo_1_1DecryptVerifyJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1DecryptVerifyJob.html</anchorfile>
      <anchor>a0f41c07a775e89b168ddc857d4ceb13b</anchor>
      <arglist>(const TQByteArray &amp;cipherText)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual std::pair&lt; GpgME::DecryptionResult, GpgME::VerificationResult &gt;</type>
      <name>exec</name>
      <anchorfile>classKleo_1_1DecryptVerifyJob.html</anchorfile>
      <anchor>a0f43538c63d1df61f25df2672597bde8</anchor>
      <arglist>(const TQByteArray &amp;cipherText, TQByteArray &amp;plainText)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::DeleteJob</name>
    <filename>classKleo_1_1DeleteJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1DeleteJob.html</anchorfile>
      <anchor>a60e8d5318fe6ca67d53011b4489681e9</anchor>
      <arglist>(const GpgME::Key &amp;key, bool allowSecretKeyDeletion=false)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::DN</name>
    <filename>classKleo_1_1DN.html</filename>
    <member kind="function">
      <type>TQString</type>
      <name>prettyDN</name>
      <anchorfile>classKleo_1_1DN.html</anchorfile>
      <anchor>a9f0713ed77b312e5a4e67794cbe80179</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>dn</name>
      <anchorfile>classKleo_1_1DN.html</anchorfile>
      <anchor>a7d2644540f5bd6cdfdb191e7c91a9080</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>escape</name>
      <anchorfile>classKleo_1_1DN.html</anchorfile>
      <anchor>a223260a75d3b340d0050816e870e9ea1</anchor>
      <arglist>(const TQString &amp;value)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::DNAttributeMapper</name>
    <filename>classKleo_1_1DNAttributeMapper.html</filename>
  </compound>
  <compound kind="class">
    <name>Kleo::DownloadJob</name>
    <filename>classKleo_1_1DownloadJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1DownloadJob.html</anchorfile>
      <anchor>a50b960249d4cd80fc05b213d429debcc</anchor>
      <arglist>(const TQStringList &amp;fingerprints)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::EncryptJob</name>
    <filename>classKleo_1_1EncryptJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1EncryptJob.html</anchorfile>
      <anchor>af314361cfb85aa252aa67cc81fee7f05</anchor>
      <arglist>(const std::vector&lt; GpgME::Key &gt; &amp;recipients, const TQByteArray &amp;plainText, bool alwaysTrust=false)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::ExportJob</name>
    <filename>classKleo_1_1ExportJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1ExportJob.html</anchorfile>
      <anchor>ab843651b9293ea591c945805041a35a9</anchor>
      <arglist>(const TQStringList &amp;patterns)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::GnuPGProcessBase</name>
    <filename>classKleo_1_1GnuPGProcessBase.html</filename>
    <member kind="function">
      <type>bool</type>
      <name>start</name>
      <anchorfile>classKleo_1_1GnuPGProcessBase.html</anchorfile>
      <anchor>abe565579d18e24b2538bcd879a4fa5ea</anchor>
      <arglist>(RunMode runmode, Communication comm)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>setupCommunication</name>
      <anchorfile>classKleo_1_1GnuPGProcessBase.html</anchorfile>
      <anchor>a73d1a8ae00afc1a5c82011f1824b3a85</anchor>
      <arglist>(Communication comm)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>commSetupDoneP</name>
      <anchorfile>classKleo_1_1GnuPGProcessBase.html</anchorfile>
      <anchor>afda6494752d92ebadf067b4f04977cf3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>commSetupDoneC</name>
      <anchorfile>classKleo_1_1GnuPGProcessBase.html</anchorfile>
      <anchor>a4228c7a6b2d2b983c856dc65dbb85379</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>virtual_hook</name>
      <anchorfile>classKleo_1_1GnuPGProcessBase.html</anchorfile>
      <anchor>ab4729ed385153596a024e3b0c55570a5</anchor>
      <arglist>(int id, void *data)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::HierarchicalKeyListJob</name>
    <filename>classKleo_1_1HierarchicalKeyListJob.html</filename>
    <base>Kleo::KeyListJob</base>
    <member kind="function">
      <type>GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1HierarchicalKeyListJob.html</anchorfile>
      <anchor>aff0eb4205515d2f1ae84e7a2ca9b4d10</anchor>
      <arglist>(const TQStringList &amp;patterns, bool secretOnly=false)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::ImportJob</name>
    <filename>classKleo_1_1ImportJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1ImportJob.html</anchorfile>
      <anchor>a26e66a87d730735cf4b56abb82922e72</anchor>
      <arglist>(const TQByteArray &amp;keyData)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::Job</name>
    <filename>classKleo_1_1Job.html</filename>
  </compound>
  <compound kind="class">
    <name>Kleo::KeyFilter</name>
    <filename>classKleo_1_1KeyFilter.html</filename>
  </compound>
  <compound kind="class">
    <name>Kleo::KeyGenerationJob</name>
    <filename>classKleo_1_1KeyGenerationJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1KeyGenerationJob.html</anchorfile>
      <anchor>a81108dab786e54b9e887fbc4b1fc38c8</anchor>
      <arglist>(const TQString &amp;parameters)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::KeyListJob</name>
    <filename>classKleo_1_1KeyListJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1KeyListJob.html</anchorfile>
      <anchor>ac17e4265d290fba0837bbf3744937bef</anchor>
      <arglist>(const TQStringList &amp;patterns, bool secretOnly=false)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::KeyRequester</name>
    <filename>classKleo_1_1KeyRequester.html</filename>
    <member kind="function">
      <type>void</type>
      <name>setKey</name>
      <anchorfile>classKleo_1_1KeyRequester.html</anchorfile>
      <anchor>ab66c552af9385b3e343586181970928a</anchor>
      <arglist>(const GpgME::Key &amp;key)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setKeys</name>
      <anchorfile>classKleo_1_1KeyRequester.html</anchorfile>
      <anchor>a860358d34f26ba5c840ac0bdcc8c572a</anchor>
      <arglist>(const std::vector&lt; GpgME::Key &gt; &amp;keys)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFingerprint</name>
      <anchorfile>classKleo_1_1KeyRequester.html</anchorfile>
      <anchor>af243594e5dcd03b5e04f117b65ecc6aa</anchor>
      <arglist>(const TQString &amp;fingerprint)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFingerprints</name>
      <anchorfile>classKleo_1_1KeyRequester.html</anchorfile>
      <anchor>a4dd5c9f68edc2e6d0abca98dd53eeb24</anchor>
      <arglist>(const TQStringList &amp;fingerprints)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::MultiDeleteJob</name>
    <filename>classKleo_1_1MultiDeleteJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="function">
      <type>GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1MultiDeleteJob.html</anchorfile>
      <anchor>a0d9fe918e2ad9b4cac4fb3ce3cff1233</anchor>
      <arglist>(const std::vector&lt; GpgME::Key &gt; &amp;keys, bool allowSecretKeyDeletion=false)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::ObtainKeysJob</name>
    <filename>classKleo_1_1ObtainKeysJob.html</filename>
    <base>Kleo::SpecialJob</base>
    <member kind="function">
      <type>GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1ObtainKeysJob.html</anchorfile>
      <anchor>a3f6f87768d79794f31dd0c296bb085f6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>GpgME::Error</type>
      <name>exec</name>
      <anchorfile>classKleo_1_1ObtainKeysJob.html</anchorfile>
      <anchor>a8b067dcb129b210651855b8ae9e074a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showErrorDialog</name>
      <anchorfile>classKleo_1_1ObtainKeysJob.html</anchorfile>
      <anchor>a1a5e99b1ad4bd0ae60ac138033150cf5</anchor>
      <arglist>(TQWidget *, const TQString &amp;) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::ProgressBar</name>
    <filename>classKleo_1_1ProgressBar.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>setProgress</name>
      <anchorfile>classKleo_1_1ProgressBar.html</anchorfile>
      <anchor>a43bd70ec0a1582bbf2d0e3a21ef94d0a</anchor>
      <arglist>(int progress)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setTotalSteps</name>
      <anchorfile>classKleo_1_1ProgressBar.html</anchorfile>
      <anchor>a55220b1af805566be9c5cdd062201c48</anchor>
      <arglist>(int total)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>reset</name>
      <anchorfile>classKleo_1_1ProgressBar.html</anchorfile>
      <anchor>a985bfcb84456e10c5feb87e442939436</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setProgress</name>
      <anchorfile>classKleo_1_1ProgressBar.html</anchorfile>
      <anchor>a6a73091e4bcf00ae1f5e6e19cdf200ed</anchor>
      <arglist>(int cur, int tot)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::ProgressDialog</name>
    <filename>classKleo_1_1ProgressDialog.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>setMinimumDuration</name>
      <anchorfile>classKleo_1_1ProgressDialog.html</anchorfile>
      <anchor>a791cbf0881d09862c1e42b5126bc8582</anchor>
      <arglist>(int ms)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::QGpgMEJob</name>
    <filename>classKleo_1_1QGpgMEJob.html</filename>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual void</type>
      <name>doOperationDoneEvent</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>a1117b8d0dc255f403f2757c1ad008b26</anchor>
      <arglist>(const GpgME::Error &amp;e)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>hookupContextToEventLoopInteractor</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>ab46666423f3a2293d6ee86fde9e4f498</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setPatterns</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>a7bdbcdf9344557985e152570eb3b6b14</anchor>
      <arglist>(const TQStringList &amp;sl, bool allowEmpty=false)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>unsigned int</type>
      <name>numPatterns</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>aaa2e61c04958b2e234778fe50015075f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>const char **</type>
      <name>nextChunk</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>a7a2d17276205e3e3a7c9af85a0d01552</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>const char **</type>
      <name>patterns</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>a103b5a9ac80e35e69157f36fbeebaa5d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setChunkSize</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>aa39a81b8fe99e40b66fb3873d1d4f9c6</anchor>
      <arglist>(unsigned int size)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>unsigned int</type>
      <name>chunkSize</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>a6e29c9842cbe834895ab8f246ff878b0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>createOutData</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>a28553787d6b2e07bb5de4421593217f7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>createInData</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>ae8fa8324af3c2c636a7204742c4c42f6</anchor>
      <arglist>(const TQByteArray &amp;in)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>GpgME::Error</type>
      <name>setSigningKeys</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>a86778b79421c996d354c591d6e08b12e</anchor>
      <arglist>(const std::vector&lt; GpgME::Key &gt; &amp;signers)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>doSlotOperationDoneEvent</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>a397c9b00648a5f3928290d89fcb2bc27</anchor>
      <arglist>(GpgME::Context *context, const GpgME::Error &amp;e)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>getAuditLog</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>a6127be9c6281d93cb0feb16e1fb17087</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::RefreshKeysJob</name>
    <filename>classKleo_1_1RefreshKeysJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1RefreshKeysJob.html</anchorfile>
      <anchor>a9b444b5e71666abc9391382c7b1cc473</anchor>
      <arglist>(const TQStringList &amp;patterns)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::SignEncryptJob</name>
    <filename>classKleo_1_1SignEncryptJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1SignEncryptJob.html</anchorfile>
      <anchor>a4a8a13fc2bb9a4a1d0fad688220a055f</anchor>
      <arglist>(const std::vector&lt; GpgME::Key &gt; &amp;signers, const std::vector&lt; GpgME::Key &gt; &amp;recipients, const TQByteArray &amp;plainText, bool alwaysTrust=false)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::SignJob</name>
    <filename>classKleo_1_1SignJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1SignJob.html</anchorfile>
      <anchor>a9b4d290e1871c0f54c1354bc8ca3b002</anchor>
      <arglist>(const std::vector&lt; GpgME::Key &gt; &amp;signers, const TQByteArray &amp;plainText, GpgME::Context::SignatureMode mode)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::SpecialJob</name>
    <filename>classKleo_1_1SpecialJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1SpecialJob.html</anchorfile>
      <anchor>a68f4e81f140cde27cad78537791faba3</anchor>
      <arglist>()=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::VerifyDetachedJob</name>
    <filename>classKleo_1_1VerifyDetachedJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1VerifyDetachedJob.html</anchorfile>
      <anchor>acfdbd2a3ae09a5c10fd189d9e63a14c9</anchor>
      <arglist>(const TQByteArray &amp;signature, const TQByteArray &amp;signedData)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::VerifyOpaqueJob</name>
    <filename>classKleo_1_1VerifyOpaqueJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1VerifyOpaqueJob.html</anchorfile>
      <anchor>a9304732bda0e592ab204d035a9307093</anchor>
      <arglist>(const TQByteArray &amp;signedData)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::VerificationResult</type>
      <name>exec</name>
      <anchorfile>classKleo_1_1VerifyOpaqueJob.html</anchorfile>
      <anchor>a28ebb0f501443dd023a3d252ea249cf1</anchor>
      <arglist>(const TQByteArray &amp;signedData, TQByteArray &amp;plainText)=0</arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>backends</name>
    <path>tdepim/certmanager/lib/backends/</path>
    <filename>dir_d2edf7fb23a476cea132fb9609e7371f.html</filename>
    <dir>chiasmus</dir>
    <dir>kpgp</dir>
    <dir>qgpgme</dir>
  </compound>
  <compound kind="dir">
    <name>certmanager</name>
    <path>tdepim/certmanager/</path>
    <filename>dir_cca8bea25e7ffd630b61540d4bc068b7.html</filename>
    <dir>lib</dir>
  </compound>
  <compound kind="dir">
    <name>chiasmus</name>
    <path>tdepim/certmanager/lib/backends/chiasmus/</path>
    <filename>dir_2a3861a66ac97847bceed882beec71f6.html</filename>
    <file>chiasmusbackend.cpp</file>
    <file>chiasmusbackend.h</file>
    <file>chiasmusjob.cpp</file>
    <file>chiasmusjob.h</file>
    <file>chiasmuslibrary.cpp</file>
    <file>chiasmuslibrary.h</file>
    <file>config_data.h</file>
    <file>obtainkeysjob.cpp</file>
    <file>obtainkeysjob.h</file>
    <file>symcryptrunprocessbase.cpp</file>
    <file>symcryptrunprocessbase.h</file>
  </compound>
  <compound kind="dir">
    <name>kleo</name>
    <path>tdepim/certmanager/lib/kleo/</path>
    <filename>dir_b2d663336f5bb6fa79390e063487bb5e.html</filename>
    <file>cryptobackend.cpp</file>
    <file>cryptobackend.h</file>
    <file>cryptobackendfactory.cpp</file>
    <file>cryptobackendfactory.h</file>
    <file>cryptoconfig.h</file>
    <file>decryptjob.h</file>
    <file>decryptverifyjob.h</file>
    <file>deletejob.h</file>
    <file>dn.cpp</file>
    <file>dn.h</file>
    <file>downloadjob.h</file>
    <file>encryptjob.h</file>
    <file>enum.cpp</file>
    <file>enum.h</file>
    <file>exportjob.h</file>
    <file>hierarchicalkeylistjob.cpp</file>
    <file>hierarchicalkeylistjob.h</file>
    <file>importjob.h</file>
    <file>job.cpp</file>
    <file>job.h</file>
    <file>keyfilter.h</file>
    <file>keyfiltermanager.cpp</file>
    <file>keyfiltermanager.h</file>
    <file>keygenerationjob.h</file>
    <file>keylistjob.h</file>
    <file>multideletejob.cpp</file>
    <file>multideletejob.h</file>
    <file>oidmap.h</file>
    <file>refreshkeysjob.h</file>
    <file>signencryptjob.h</file>
    <file>signjob.h</file>
    <file>specialjob.h</file>
    <file>tdeconfigbasedkeyfilter.cpp</file>
    <file>tdeconfigbasedkeyfilter.h</file>
    <file>verifydetachedjob.h</file>
    <file>verifyopaquejob.h</file>
  </compound>
  <compound kind="dir">
    <name>kpgp</name>
    <path>tdepim/certmanager/lib/backends/kpgp/</path>
    <filename>dir_3abbb376763f63ab61481ad75bee9636.html</filename>
    <file>gpg1backend.h</file>
    <file>kpgpbackendbase.cpp</file>
    <file>kpgpbackendbase.h</file>
    <file>kpgpkeylistjob.cpp</file>
    <file>kpgpkeylistjob.h</file>
    <file>kpgpwrapper.cpp</file>
    <file>kpgpwrapper.h</file>
    <file>pgp2backend.h</file>
    <file>pgp5backend.h</file>
    <file>pgp6backend.h</file>
  </compound>
  <compound kind="dir">
    <name>lib</name>
    <path>tdepim/certmanager/lib/</path>
    <filename>dir_8979255f9aeaa27a5ec96e5f5d1e98f0.html</filename>
    <dir>backends</dir>
    <dir>kleo</dir>
    <dir>ui</dir>
    <file>cryptplug.cpp</file>
    <file>cryptplug.h</file>
    <file>cryptplugfactory.cpp</file>
    <file>cryptplugfactory.h</file>
    <file>cryptplugwrapper.cpp</file>
    <file>cryptplugwrapper.h</file>
    <file>cryptplugwrapperlist.cpp</file>
    <file>cryptplugwrapperlist.h</file>
  </compound>
  <compound kind="dir">
    <name>qgpgme</name>
    <path>tdepim/certmanager/lib/backends/qgpgme/</path>
    <filename>dir_8254e02c84bbdb26f42c015cdbecb46b.html</filename>
    <file>gnupgprocessbase.cpp</file>
    <file>gnupgprocessbase.h</file>
    <file>qgpgmebackend.cpp</file>
    <file>qgpgmebackend.h</file>
    <file>qgpgmecryptoconfig.cpp</file>
    <file>qgpgmecryptoconfig.h</file>
    <file>qgpgmedecryptjob.cpp</file>
    <file>qgpgmedecryptjob.h</file>
    <file>qgpgmedecryptverifyjob.cpp</file>
    <file>qgpgmedecryptverifyjob.h</file>
    <file>qgpgmedeletejob.cpp</file>
    <file>qgpgmedeletejob.h</file>
    <file>qgpgmedownloadjob.cpp</file>
    <file>qgpgmedownloadjob.h</file>
    <file>qgpgmeencryptjob.cpp</file>
    <file>qgpgmeencryptjob.h</file>
    <file>qgpgmeexportjob.cpp</file>
    <file>qgpgmeexportjob.h</file>
    <file>qgpgmeimportjob.cpp</file>
    <file>qgpgmeimportjob.h</file>
    <file>qgpgmejob.cpp</file>
    <file>qgpgmejob.h</file>
    <file>qgpgmekeygenerationjob.cpp</file>
    <file>qgpgmekeygenerationjob.h</file>
    <file>qgpgmekeylistjob.cpp</file>
    <file>qgpgmekeylistjob.h</file>
    <file>qgpgmeprogresstokenmapper.cpp</file>
    <file>qgpgmeprogresstokenmapper.h</file>
    <file>qgpgmerefreshkeysjob.cpp</file>
    <file>qgpgmerefreshkeysjob.h</file>
    <file>qgpgmesecretkeyexportjob.cpp</file>
    <file>qgpgmesecretkeyexportjob.h</file>
    <file>qgpgmesignencryptjob.cpp</file>
    <file>qgpgmesignencryptjob.h</file>
    <file>qgpgmesignjob.cpp</file>
    <file>qgpgmesignjob.h</file>
    <file>qgpgmeverifydetachedjob.cpp</file>
    <file>qgpgmeverifydetachedjob.h</file>
    <file>qgpgmeverifyopaquejob.cpp</file>
    <file>qgpgmeverifyopaquejob.h</file>
  </compound>
  <compound kind="dir">
    <name>ui</name>
    <path>tdepim/certmanager/lib/ui/</path>
    <filename>dir_d7c45af5ab4b29591253daa904a0e2de.html</filename>
    <file>adddirectoryservicedialogimpl.cpp</file>
    <file>adddirectoryservicedialogimpl.h</file>
    <file>backendconfigwidget.cpp</file>
    <file>backendconfigwidget.h</file>
    <file>cryptoconfigdialog.cpp</file>
    <file>cryptoconfigdialog.h</file>
    <file>cryptoconfigmodule.cpp</file>
    <file>cryptoconfigmodule.h</file>
    <file>directoryserviceswidget.cpp</file>
    <file>directoryserviceswidget.h</file>
    <file>dnattributeorderconfigwidget.cpp</file>
    <file>dnattributeorderconfigwidget.h</file>
    <file>kdhorizontalline.cpp</file>
    <file>kdhorizontalline.h</file>
    <file>keyapprovaldialog.cpp</file>
    <file>keyapprovaldialog.h</file>
    <file>keylistview.cpp</file>
    <file>keylistview.h</file>
    <file>keyrequester.cpp</file>
    <file>keyrequester.h</file>
    <file>keyselectiondialog.cpp</file>
    <file>keyselectiondialog.h</file>
    <file>messagebox.cpp</file>
    <file>messagebox.h</file>
    <file>passphrasedialog.cpp</file>
    <file>passphrasedialog.h</file>
    <file>progressbar.cpp</file>
    <file>progressbar.h</file>
    <file>progressdialog.cpp</file>
    <file>progressdialog.h</file>
  </compound>
</tagfile>
